# Standard library header <cuchar>

From cppreference.com
< cpp‎ | header

This header was originally in the C standard library as `<uchar.h>`.

This header is part of the null-terminated multibyte strings library.

### Macros

__STDC_UTF_16__ | indicates that UTF-16 encoding is used by mbrtoc16 and c16rtomb (macro constant)
__STDC_UTF_32__ | indicates that UTF-32 encoding is used by mbrtoc32 and c32rtomb (macro constant)

### Functions

mbrtoc16 (C++11) | generate the next 16-bit wide character from a narrow multibyte string (function)
c16rtomb (C++11) | convert a 16-bit wide character to narrow multibyte string (function)
mbrtoc32 (C++11) | generate the next 32-bit wide character from a narrow multibyte string (function)
c32rtomb (C++11) | convert a 32-bit wide character to narrow multibyte string (function)

Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/header/cuchar&oldid=57471"